Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.render
Class RenderKitWrapper

    java.lang.Object
      javax.faces.render.RenderKit
          javax.faces.render.RenderKitWrapper

All Implemented Interfaces:
  FacesWrapper<RenderKit>

    public abstract class RenderKitWrapper

extends RenderKit
implements FacesWrapper<RenderKit>

Provides a simple implementation of `RenderKit` that can be subclassed by developers wishing to provide specialized behavior to an existing `RenderKit` instance. The default implementation of all methods is to call through to the wrapped `RenderKit`.

Usage: extend this class and override `getWrapped()` to return the instance we are wrapping.

Since:
  2.0

Constructor Summary
`RenderKitWrapper()`

Method Summary
`void` | `addClientBehaviorRenderer(String type, ClientBehaviorRenderer renderer)` The default behavior of this method is to call `RenderKit.addClientBehaviorRenderer(String, ClientBehaviorRenderer)` on the wrapped `RenderKit` object.
`void` | `addRenderer(String family, String rendererType, Renderer renderer)` The default behavior of this method is to call `RenderKit.addRenderer(String, String, Renderer)` on the wrapped `RenderKit` object.
`ResponseStream` | `createResponseStream(OutputStream out)` The default behavior of this method is to call `RenderKit.createResponseStream(java.io.OutputStream)` on the wrapped `RenderKit` object.
`ResponseWriter` | `createResponseWriter(Writer writer, String contentTypeList, String characterEncoding)` The default behavior of this method is to call `RenderKit.createResponseWriter(java.io.Writer, String, String)` on the wrapped `RenderKit` object.
`ClientBehaviorRenderer` | `getClientBehaviorRenderer(String type)` The default behavior of this method is to call `RenderKit.getClientBehaviorRenderer(String)` on the wrapped `RenderKit` object.
`Iterator<String>` | `getClientBehaviorRendererTypes()` The default behavior of this method is to call `RenderKit.getClientBehaviorRendererTypes()` on the wrapped `RenderKit` object.
`Iterator<String>` | `getComponentFamilies()` The default behavior of this method is to call `RenderKit.getComponentFamilies()` on the wrapped `RenderKit` object.
`Renderer` | `getRenderer(String family, String rendererType)` The default behavior of this method is to call `RenderKit.getRenderer(String, String)` on the wrapped `RenderKit` object.
`Iterator<String>` | `getRendererTypes(String componentFamily)` The default behavior of this method is to call `RenderKit.getRendererTypes(String)` on the wrapped `RenderKit` object.
`ResponseStateManager` | `getResponseStateManager()` The default behavior of this method is to call `RenderKit.getResponseStateManager()` on the wrapped `RenderKit` object.
`abstract RenderKit` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderKitWrapper

    public RenderKitWrapper()

Method Detail

### getWrapped

    public abstract RenderKit getWrapped()

  Description copied from interface: `FacesWrapper`

  A class that implements this interface uses this method to return an instance of the class being wrapped.

  Specified by:
    `getWrapped` in interface `FacesWrapper<RenderKit>`
  Returns:
    the wrapped `RenderKit` instance
  See Also:
    `FacesWrapper.getWrapped()`

### addRenderer

    public void addRenderer(String family,
                            String rendererType,
                            Renderer renderer)

  The default behavior of this method is to call `RenderKit.addRenderer(String, String, Renderer)` on the wrapped `RenderKit` object.

  Specified by:
    `addRenderer` in class `RenderKit`
  Parameters:
    `family` - Component family of the `Renderer` to register
    `rendererType` - Renderer type of the `Renderer` to register
    `renderer` - `Renderer` instance we are registering
  See Also:
    `RenderKit.addRenderer(String, String, Renderer)`

### createResponseStream

    public ResponseStream createResponseStream(OutputStream out)

  The default behavior of this method is to call `RenderKit.createResponseStream(java.io.OutputStream)` on the wrapped `RenderKit` object.

  Specified by:
    `createResponseStream` in class `RenderKit`
  See Also:
    `RenderKit.createResponseStream(java.io.OutputStream)`

### createResponseWriter

    public ResponseWriter createResponseWriter(Writer writer,
                                               String contentTypeList,
                                               String characterEncoding)

  The default behavior of this method is to call `RenderKit.createResponseWriter(java.io.Writer, String, String)` on the wrapped `RenderKit` object.

  Specified by:
    `createResponseWriter` in class `RenderKit`
  Parameters:
    `writer` - the Writer around which this `ResponseWriter` must be built.
    `contentTypeList` - an "Accept header style" list of content types for this response, or `null` if the RenderKit should choose the best fit. As of the current version, the values accepted by the Standard render-kit for this parameter include any valid "Accept header style" String that includes the String `text/html`, `application/xhtml+xml`, `application/xml` or `text/xml`. This may change in a future version. The RenderKit must support a value for this argument that comes straight from the `Accept` HTTP header, and therefore requires parsing according to the specification of the `Accept` header. Please see Section 14.1 of RFC 2616 for the specification of the `Accept` header.
    `characterEncoding` - such as "ISO-8859-1" for this ResponseWriter, or `null` if the `RenderKit` should choose the best fit. Please see the IANA for a list of character encodings.
  Returns:
    a new `ResponseWriter`.
  See Also:
    `RenderKit.createResponseWriter(java.io.Writer, String, String)`

### getRenderer

    public Renderer getRenderer(String family,
                                String rendererType)

  The default behavior of this method is to call `RenderKit.getRenderer(String, String)` on the wrapped `RenderKit` object.

  Specified by:
    `getRenderer` in class `RenderKit`
  Parameters:
    `family` - Component family of the requested `Renderer` instance
    `rendererType` - Renderer type of the requested `Renderer` instance
  See Also:
    `RenderKit.getRenderer(String, String)`

### getResponseStateManager

    public ResponseStateManager getResponseStateManager()

  The default behavior of this method is to call `RenderKit.getResponseStateManager()` on the wrapped `RenderKit` object.

  Specified by:
    `getResponseStateManager` in class `RenderKit`
  See Also:
    `RenderKit.getResponseStateManager()`

### getComponentFamilies

    public Iterator<String> getComponentFamilies()

  The default behavior of this method is to call `RenderKit.getComponentFamilies()` on the wrapped `RenderKit` object.

  Overrides:
    `getComponentFamilies` in class `RenderKit`
  See Also:
    `RenderKit.getComponentFamilies()`

### getRendererTypes

    public Iterator<String> getRendererTypes(String componentFamily)

  The default behavior of this method is to call `RenderKit.getRendererTypes(String)` on the wrapped `RenderKit` object.

  Overrides:
    `getRendererTypes` in class `RenderKit`
  Parameters:
    `componentFamily` - one of the members of the `Iterator` returned by `RenderKit.getComponentFamilies()`.
  See Also:
    `RenderKit.getRendererTypes(String)`

### addClientBehaviorRenderer

    public void addClientBehaviorRenderer(String type,
                                          ClientBehaviorRenderer renderer)

  The default behavior of this method is to call `RenderKit.addClientBehaviorRenderer(String, ClientBehaviorRenderer)` on the wrapped `RenderKit` object.

  Overrides:
    `addClientBehaviorRenderer` in class `RenderKit`
  Parameters:
    `type` - type of the `ClientBehaviorRenderer` to register
    `renderer` - `ClientBehaviorRenderer` instance we are registering
  See Also:
    `RenderKit.addClientBehaviorRenderer(String, ClientBehaviorRenderer)`

### getClientBehaviorRenderer

    public ClientBehaviorRenderer getClientBehaviorRenderer(String type)

  The default behavior of this method is to call `RenderKit.getClientBehaviorRenderer(String)` on the wrapped `RenderKit` object.

  Overrides:
    `getClientBehaviorRenderer` in class `RenderKit`
  Parameters:
    `type` - type of the requested `ClientBehaviorRenderer` instance
  See Also:
    `RenderKit.getClientBehaviorRenderer(String)`

### getClientBehaviorRendererTypes

    public Iterator<String> getClientBehaviorRendererTypes()

  The default behavior of this method is to call `RenderKit.getClientBehaviorRendererTypes()` on the wrapped `RenderKit` object.

  Overrides:
    `getClientBehaviorRendererTypes` in class `RenderKit`
  See Also:
    `RenderKit.getClientBehaviorRendererTypes()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.